libmp4v2-2 needed


ynotssor
 Share

2 2

Recommended Posts

Armbian is a community driven open source project. Do you like to contribute your code?

3 hours ago, ynotssor said:

Where may I find an Armbian-Buster-compatible libmp4v2-2, please?

There is no libmp4v2 for Buster, upstream Debian have dropped support for it. Same goes for Ubuntu in current versions. You need a Debian stretch image or an Ubuntu Bionic image if you dont want to have to compile this library yourself

 

https://packages.debian.org/search?keywords=mp4v2

Link to post
Share on other sites

Hi,

I have the same problem on Orange Pi Zero LTS, which setting should i use to compiling libmp4v2?

 

If i use
$ ./configure

$ make -j4

I get this error:

src/rtphint.cpp: In member function ‘void mp4v2::impl::MP4RtpHintTrack::GetPayload(char**, uint8_t*, uint16_t*, char**)’:
src/rtphint.cpp:342:35: error: ISO C++ forbids comparison between pointer and integer [-fpermissive]
                     if (pSlash != '\0') {
                                   ^~~~
make: *** [GNUmakefile:1364: src/rtphint.lo] Error 1
make: *** Attesa per i processi non terminati....
libtool: compile:  g++ -DHAVE_CONFIG_H -I./include -I./include -I. -I. -Wall -Wformat -g -O2 -fvisibility=hidden -c src/qosqualifiers.cpp -o src/qosqualifiers.o >/dev/null 2>&1

 

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
 Share

2 2